import PagTitle from "@/Components/Title/PagTitle";
import Card from "@/Components/Card";
import { Link } from "@inertiajs/react";
import Header from "@/Components/Header";
import { motion } from 'framer-motion';

export default function Index({ cards }) {
    return (
        <div className="container mx-auto px-4">
            <Header />

            <div className="flex justify-start items-center mt-4 mb-8">
                <Link href={route('home')} className="me-3">
                    <i className="bi bi-arrow-left-circle-fill text-text-primary hover:text-text-white text-3xl"></i>
                </Link>
                <PagTitle title="Configurações" subtitle="Aqui você pode ajustar as configurações da sua conta." />
            </div>

            <div className="grid lg:grid-cols-4 md:grid-cols-2 grid-cols-1 gap-1">
                {cards.map((card, index) => (
                    <Link href={card.route} key={index} className="h-full">
                        <motion.div
                            initial={{ opacity: 0 }}
                            animate={{ opacity: 1 }}
                            transition={{ duration: 0.5, delay: index * 0.1 }}
                        >
                            <Card className="flex justify-start items-center h-20 p-4">
                                <i className={`${card.icon} text-4xl mb-1`}></i>
                                <div className="ms-3">
                                    <p className="text-[.9rem] font-semibold text-text-white">{card.name}</p>
                                    <p className="text-[.7rem] text-text-primary">{card.description}</p>
                                </div>
                            </Card>
                        </motion.div>
                    </Link>
                ))}
            </div>

        </div>
    );
}